.info-box {
	position: fixed;
	top: 130px;
	left: 50%;
	transform: translateX(-50%);
	background-color: #fff;
	color: #333;
	padding: 20px;
	margin: 20px;
	border-radius: 10px;
	box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
	z-index: 2000;
	display: none;
	width: 90%;
	max-height: calc(100vh - 150px);
}

.info-box.visible {
	display: flex;
	flex-direction: column;
	gap: 10px;
}

.info-box h2 {
	color: var(--primary-color);
	display: flex;
	flex-direction: row;
	align-items: start;
	justify-content: space-between;
	flex: 0;
	min-height: 40px;
}

.info-box .info-body {
	overflow-y: auto;
	height: 100%;
	flex: 1;
}

/* Optional: Fade-in animation */
@keyframes fadeIn {
	from {
		opacity: 0;
		transform: translateY(-10px);
	}
	to {
		opacity: 1;
		transform: translateY(0);
	}
}
